Subject: Re: [PATCH 2/2] net: qcom/emac: add shared mdio bus support

From: Andrew Lunn <[email-masked]>
Date: Thu, 13 Sep 2018 14:42:29 +0200

On Thu, Sep 13, 2018 at 05:04:53PM +0800, Wang Dongsheng wrote:
> Share the mii_bus for others MAC device because QDF2400 emac
> include MDIO, and the motherboard has more than one PHY connected
> to an MDIO bus.
> 
> Tested: QDF2400 (ACPI), buildin/insmod/rmmod
> 
> Signed-off-by: Wang Dongsheng <[email-masked]>

Hi Wang

This is a pretty big patch, and is hard to review. Could you try to
break it up into a number of smaller patches. You could for example
first refactor emacs_phy_config(), without making any functional
changes. Then add the sharing. Maybe do OF an ACPI in different
patches?

Thanks
	 Andrew